#!/usr/bin/env sh
set -eu

echo "-----------------------"
echo "DarkflameServer  Docker"
echo "written by Aaron Riedel"
echo "-----------------------"
echo ""
echo "create sharedconfig.ini"
# make sharedconfig.ini
echo "mysql_host=$MYSQL_HOST" > ${HOMEDIR}/app/sharedconfig.ini
echo "mysql_database=$MYSQL_DATABASE" >> ${HOMEDIR}/app/sharedconfig.ini
echo "mysql_username=$MYSQL_USERNAME" >> ${HOMEDIR}/app/sharedconfig.ini
echo "mysql_password=$MYSQL_PASSWORD" >> ${HOMEDIR}/app/sharedconfig.ini
echo "log_to_console=1" >> ${HOMEDIR}/app/sharedconfig.ini
echo "log_debug_statements=0" >> ${HOMEDIR}/app/sharedconfig.ini
echo "external_ip=142.132.219.61" >> ${HOMEDIR}/app/sharedconfig.ini
echo "dont_generate_dcf=0" >> ${HOMEDIR}/app/sharedconfig.ini
echo "max_clients=$MAX_CLIENTS" >> ${HOMEDIR}/app/sharedconfig.ini
echo "dump_folder=/dev/null" >> ${HOMEDIR}/app/sharedconfig.ini
echo "client_location=/client" >> ${HOMEDIR}/app/sharedconfig.ini
echo "maximum_outgoing_bandwidth=0" >> ${HOMEDIR}/app/sharedconfig.ini
echo "maximum_mtu_size=1228" >> ${HOMEDIR}/app/sharedconfig.ini
echo "client_net_version=$CLIENT_VERSION" >> ${HOMEDIR}/app/sharedconfig.ini
echo "default_team_loot=$TEAM_LOOT" >> ${HOMEDIR}/app/sharedconfig.ini

echo "set folder for shared libaries"
export LD_LIBRARY_PATH=${HOMEDIR}/app
echo "start Server"
${HOMEDIR}/app/MasterServer
tail -f /dev/null